extends Spatial

onready var guns = get_node("Guns").get_children()
onready var soundplayer = get_node("SpatialSamplePlayer")

func _ready():
	# randomize the animation speed so not all enemies fire at the exact same time
	get_node("AnimationPlayer").set_speed(0.95 + 0.1*randf())

func shoot():
	# when asked to shoot play the shot sound
	soundplayer.play("zap")
	# and then have every gun attached to this gun mount shoot
	for gun in guns:
		gun.shoot()

func stopShooting():
	# for every gun attached to this gun mount
	for gun in guns:
		# check if it has a function to stop shooting
		if gun.has_method("stopShooting"):
			# if it has use it
			gun.stopShooting()
