
extends Spatial

onready var cooldown = get_node("Cooldown")
onready var guns = get_node("Guns").get_children()
onready var soundplayer = get_node("SpatialSamplePlayer")

func _ready():
	set_process_input(true)

func shoot():
	# when there is no time left on the cooldown timer 
	if (cooldown.get_time_left() <= 0):
		# start it again and shoot
		cooldown.start()
		soundplayer.play("shot")
		for gun in guns:
			gun.shoot()

func stopShooting():
	for gun in guns:
		if gun.has_method("stopShooting"):
			gun.stopShooting()

func _input(event):
	if not event.is_echo():
		if event.is_action_pressed("shoot"):
			shoot()
		if event.is_action_released("shoot"):
			stopShooting()
