extends CanvasLayer

onready var livesContainer = get_node("LivesContainer")

func set_lives(numLives):
	# don't allow negative number of lives
	if numLives < 0:
		numLives = 0
	
	var numLiveIcons = livesContainer.get_child_count()
	# hide icons when there are more than the player has lives
	for i in range(numLives, numLiveIcons):
		livesContainer.get_child(i).hide()
	# call show() on every icon in the range from 0 to the number of lives the player currently has
	for i in range(0, numLives):
		livesContainer.get_child(i).show()

# this is connected to the killed signal in the player so it is called everytime the player is killed
func _on_Player_killed( numLivesLeft ):
	set_lives(numLivesLeft)
	